KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.5.2 (Huygens):

ec39e58d5 2021-02-28 Jasem Mutlaq         Fix return code error
fea80004a 2021-02-28 Jasem Mutlaq         Improve solve failure alignment message
157c8cff0 2021-02-28 Jasem Mutlaq         Mark stable release for 3.5.2
487ca62b2 2021-02-28 Eric Dejouhanet      Fix fread return code check and non-init block use.
e6c2c9c4c 2021-02-27 Hy Murveit           Save the estimated GPG period.
a2f6995f6 2021-02-28 Yuri Chornoivan      Fix wrong usage of i18np()
d80cef232 2021-02-27 Eric Dejouhanet      Fix Guider capture/reacquire timeout handling
3f0274dda 2021-02-27 Eric Dejouhanet      Protect from focuser loss, ensure autofocus stop from button.
a09145800 2021-02-24 Aziz Bouland         adds the ability to set the video buffer size and the max frames per second sent from ekos programtically
ab65d91b8 2021-02-24 Jasem Mutlaq         INDI driver sync
739c70fb8 2021-02-23 Hy Murveit           Save Align accuracy. Add focus position to Analyze focus info box.
8240afe3c 2021-02-22 Yuri Chornoivan      Fix minor typo
4aaad41e8 2021-02-22 Jasem Mutlaq         Fix build error
601788519 2021-02-21 Jasem Mutlaq         Simplify PAA messages
65b0f85d5 2021-02-18 Jasem Mutlaq         Add more information about mount coordinates conversions in log
9ecc46851 2021-02-18 Jasem Mutlaq         Add ha to mount messages
c5a7b5be0 2021-02-18 Eric Dejouhanet      Protect from focuser loss, ensure autofocus stop from button.
11e7f786c 2021-02-16 Jasem Mutlaq         Send pixmap for low-res images
d61c55749 2021-02-16 Jasem Mutlaq         No need to send temperature as state
224caa313 2021-02-16 Jasem Mutlaq         Fix crash in serial port assistant device navigation
b26c18ea1 2021-02-11 Hy Murveit           Add apt-add-ppa to README.md build instructions.
c97f2adb4 2021-02-09 Eric Dejouhanet      Fix issues found by Coverity Scan (level medium)
578da02cb 2021-02-08 Jasem Mutlaq         Disable placehold test on Windows until fixed later
8962f1cc6 2021-02-08 Eric Dejouhanet      Fix issues found by Coverity Scan (level High).
e50708a71 2021-02-08 Jasem Mutlaq         Only debayer images that originally have single channel in the fits header.
dec23434b 2021-02-08 Jasem Mutlaq         Make sure we have single channel to read data min and max. For multichannel we calculate directly.
b0268d421 2021-02-07 Jasem Mutlaq         Add visual studio ignores
ea1cc1f96 2021-02-07 Jasem Mutlaq         Disable strict iterators for Windows
1426c837f 2021-02-07 Jasem Mutlaq         Make KStars compile on Windows in Debug mode. Apparently headers order is important
bfd04bf36 2021-01-27 Kwon-Young Choi      Test SequenceJob::getSignature
b4e350952 2021-01-19 Kwon-Young Choi      Empty TestPlaceholderPath class in preparation of issue #54
43c5c5dbe 2021-02-05 Jasem Mutlaq         INDI Drivers sync
2d790408f 2021-02-05 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
c10e174fe 2021-02-03 Hy Murveit           PAA UI: Fix wording. Speedup drawing of circle.
1caa4dcce 2021-02-04 Yuri Chornoivan      Fix minor typos
c5c04f2e9 2021-02-03 Hy Murveit           New UI to help user correct polar alignment.
4c3a23ed3 2021-02-02 Jasem Mutlaq         Simplify serial assistant
783a076fb 2021-02-02 Jasem Mutlaq         Add weather interface as well since most are serial devices
e37423958 2021-02-01 Jasem Mutlaq         No need to scale bounded rectangle
708d9be9d 2021-01-31 Eric Dejouhanet      Fix sequence unexpectedly changing when pasting a Scheduler job.
dc14609eb 2021-01-26 Jasem Mutlaq         Quick fix for meridian message box crash
2e32f9886 2021-01-26 Jasem Mutlaq         Use KSMessageBox dialog to display meridian warning. Send az and alt error in the polarUpdated signal
86b990833 2021-01-25 Hy Murveit           PAA fix issue with rotation, adjust test.
b1a4eba48 2021-01-25 l10n daemon script   GIT_SILENT made messages (after extraction)
5b3eacbd9 2021-01-24 Jasem Mutlaq         Send state when modules are started
df1571634 2021-01-24 Jasem Mutlaq         Simplify PAH text
e0bd6d66c 2021-01-24 Akarsh Simha         Update DSS URLs to https.
dcc946b43 2021-01-24 l10n daemon script   GIT_SILENT made messages (after extraction)
9ab004338 2021-01-22 Hy Murveit           PAA bugfix, make sure PAA is running before cancelling it on solver fail.
54c8299b8 2021-01-23 Jasem Mutlaq         Fix build on BSD
cef2ab206 2021-01-23 Jasem Mutlaq         Fix build on Windows
dc3e949a0 2021-01-23 Jasem Mutlaq         Add adaptive sampling as a possible solution to load large images in memory constrained systems
fb74da14b 2021-01-22 Hy Murveit           Fix PAA manual rotation message, Retry if solver fails, PAA UI cleanup.
7619cc39a 2021-01-21 Jasem Mutlaq         Safe to add blocking connection back. No deadlock detected with tests
f89934aa3 2021-01-21 Jasem Mutlaq         Emit change for vector correction
83b04aa39 2021-01-16 Rick Bassham         feat: add rotation to scheduler
74e0dac19 2021-01-20 Hy Murveit           Simplify AlignView for PAA and fix bug there.
ed097b432 2021-01-20 Jasem Mutlaq         Remove older code now that we send updated frame
1941d7623 2021-01-20 Jasem Mutlaq         Make the connection unique
81570e3a8 2021-01-20 Jasem Mutlaq         Send correction vector on update
4f3be0fc6 2021-01-20 Jasem Mutlaq         Fix mount speed settings in polar alignment
1c57e4518 2021-01-20 Jasem Mutlaq         Ignore SIGPIPE again
1b3245b3c 2021-01-20 Jasem Mutlaq         Safe to use blocking queued connection now
0975bdf7f 2021-01-20 Jasem Mutlaq         Auto park on PAH completion should be off now by default
c02f114a5 2021-01-18 Jasem Mutlaq         Fix Ekoslive PAH refresh
74c8d9d91 2021-01-18 Jasem Mutlaq         Remove Pluto from planet search in observation wizard
17637042f 2021-01-17 Hy Murveit           Analyze details table--move to QTableWidget.
2a6ed9959 2021-01-17 Jasem Mutlaq         Remove extra functions for end focus as they were causing confusion. Focus tested under multiple real scenarios under Ikarus Observatory along with ..
6a797bfaf 2021-01-17 Jasem Mutlaq         Create userdb database backup file and restore it once detecting a corrupted file for whatever reason
3656fed1d 2021-01-17 Jasem Mutlaq         Delete client later to prevent crash under some scenarios
a65830501 2021-01-17 Jasem Mutlaq         Abort focus if it is in progress while meridian flip is underway
2e3ca42ba 2021-01-17 Jasem Mutlaq         WHen in meridian flip, ignore focus state changes
85c3b3196 2021-01-17 Jasem Mutlaq         Must set this flag otherwise state is not dispatched in completeFocusProcedure
f53607cdc 2021-01-17 Eric Dejouhanet      Fix Capture aborting exposure of Focus
8f55f85d2 2021-01-16 l10n daemon script   GIT_SILENT made messages (after extraction)
8dcefc97b 2021-01-15 Jasem Mutlaq         If ekos status is not idle, try to stop ekos first before starting again
b90f3ef33 2021-01-13 Jasem Mutlaq         Set maximum temperature diff to 1 up from 0.1 as many cameras coolers are not usually accurate enough to 0.1. This would allow for first image to ki..
05510da0e 2021-01-15 Hy Murveit           PAA--cleanup test. Update user messaging.
53f886c33 2021-01-15 Jasem Mutlaq         Send ekoslive events even when not fully connected
e15ef966f 2021-01-15 Jasem Mutlaq         Use KSNotification on device connection failure
f87c3ba28 2021-01-15 Jasem Mutlaq         Use KSNotification::event instead of direct KNotification
26c615d94 2021-01-15 Jasem Mutlaq         Use more sane defaults for INDI message notification and starting step size for most focusers
29cda560e 2021-01-13 Jasem Mutlaq         Use Blocking Queued Connection again since deadlock issue temporarily fixed on INDI side
0fa393571 2021-01-13 Hy Murveit           PAA: sample from the center of the image. Update test. minor bugfix.
b7ac3bd53 2021-01-11 Hy Murveit           Fix PAA type (purple -> green).
cbe33115a 2020-12-20 Hy Murveit           New polar-alignment scheme
4635b3b08 2021-01-10 Brodrick Bassham     feat: manual rotation dialog in alignment module
c5e8b6234 2021-01-10 Jasem Mutlaq         Starting 3.5.2 development cycle

3.5.1 (Centauri):

0b214549f 2021-01-07 Jasem Mutlaq         Mark 3.5.1 stable release                                                                                                                             
6fd6ba608 2021-01-06 Jasem Mutlaq         Yet another fix to in sequence focus not getting reported to capture module after completion                                                          
d204d7237 2021-01-05 Jasem Mutlaq         Fix crash when no object was clicked in recent satellite MR                                                                                           
542911112 2021-01-02 Eric Dejouhanet      Fix focusEffect option test.                                                                                                                          
287f375ac 2021-01-03 Pedro Rodriguez Perez Fix xi18n argument: it can't be split over multiple lines                                                                                             
803b6f499 2021-01-03 Eric Dejouhanet      Additional fix for focus state changes                                                                                                                
a6fa048db 2021-01-02 Hy Murveit           Add option to control downsampling on stretch slider preview.                                                                                         
3b53c5446 2021-01-03 Yuri Chornoivan      Fix minor typo                                                                                                                                        
dd96446b6 2021-01-02 Jasem Mutlaq         Set subtract parameters when existing frame is found as well                                                                                          
298566a67 2021-01-02 Jasem Mutlaq         Set inSequenceFocus to false once stopped and set state to Ekos::FOCUS_COMPLETE once there is no need to perform autofocus after checkFocus in invoked
2a6f959d2 2021-01-02 l10n daemon script   GIT_SILENT made messages (after extraction)                                                                                                           
7de4a03d5 2021-01-01 Eric Dejouhanet      Fix and validate management of image filter in Focus.                                                                                                 
a9b3a6d8e 2020-12-30 Eric Dejouhanet      Fix HFR check breaking running autofocus                                                                                                              
8f5ee7e4f 2020-12-30 Jasem Mutlaq         Fix timespec for observation time                                                                                                                     
cc23d8170 2020-12-30 Jasem Mutlaq         Gracefully handle remove probs. All tests ran OK with this change                                                                                     
a39da7171 2020-12-30 Jasem Mutlaq         INDI drivers sync                                                                                                                                     
c6c189b19 2020-12-28 Jasem Mutlaq         FITS saving failed because we used datatype while it was expecting imagetype                                                                          
1f2790158 2020-12-26 Jasem Mutlaq         Double check that guider chip is valid, if not fallback to primary                                                                                    
f08f7f74e 2020-12-25 Eric Dejouhanet      Skip mount control test until QML/GL mixed window issue is resolved.                                                                                  
4ad709d23 2020-12-25 Eric Dejouhanet      Relax capture timeout, add warning.                                                                                                                   
4c790b7f0 2020-12-25 Jasem Mutlaq         Guide limits should be first                                                                                                                          
d111331dd 2020-12-23 Jasem Mutlaq         Revert "Improve HiPS rendering on HiDPI screens as well by relaxing levels"                                                                           
081b064a9 2020-12-22 Fabrizio Pollastri   Mount Control: click on displayed coords to set them as input.                                                                                        
5ff349164 2020-12-23 Aziz Bouland         Adds Park everyday for ekoslive                                                                                                                       
d055ca42a 2020-12-22 Jasem Mutlaq         Fix potential crash when new operator fails. It should fail gracefully when memory allocation fails                                                   
38c862083 2020-12-22 Jasem Mutlaq         Revert "[Needs Review] Add missing CMake module for StellarSolver"                                                                                    
3d52e6981 2020-12-19 Akarsh Simha         Find StellarSolver in the usual UNIX locations                                                                                                        
3a1b62620 2020-12-19 Akarsh Simha         Update FindStellarSolver.cmake from current master of StellarSolver                                                                                   
a60cf3af2 2020-12-19 Akarsh Simha         [Needs Review] Add missing CMake module for StellarSolver                                                                                             
78b2374d4 2020-12-18 Hy Murveit           Changed the order of the Capture Tab columns.                                                                                                         
214386d8f 2020-12-17 Jasem Mutlaq         solver MODE would be used now to designate mode of operation local (stellarsolver) or remote solver. While solver TYPE would be used to differentiat..
ce952999d 2020-12-16 Jasem Mutlaq         Improve HiPS rendering on HiDPI screens as well by relaxing levels                                                                                    
e7e6ce298 2020-12-14 Pedro Rodriguez Perez Add satellite context menu copy TLE to clipboard                                                                                                      
f4505dcac 2020-12-15 Luigi Toscano        Revert "Fix xi18n argument: it can't be split over multiple lines"                                                                                    
dd0d33f0b 2020-12-14 Pedro Rodriguez Perez Fix xi18n argument: it can't be split over multiple lines                                                                                             
4f41d99bd 2020-12-13 Hy Murveit           Add handook doc to README.md                                                                                                                          
dd4559989 2020-12-14 Luigi Toscano        Fix xi18n argument: it can't be split over multiple lines                                                                                             
ea17d50eb 2020-12-11 Jasem Mutlaq         Make sure cameras that have focus and filter interface are not inadvertenly identified as pure focus or filter wheel device. Check for CCD bit mask ..
05bb5e469 2020-12-10 Hy Murveit           Make Linear focus restart a little gentler. Add test.                                                                                                 
1c9cf1c98 2020-12-10 Jasem Mutlaq         Check for device name before deleting properties.                                                                                                     
2b859c1b7 2020-12-09 Jasem Mutlaq         Scripts manager                                                                                                                                       
79ff9655d 2020-12-02 Hy Murveit           Capture option to wait for low drift. Also guider keeps better track of guide star. Analyze can plot this better rms.                                 
d15e198bd 2020-12-07 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours                                                                                        
496411fed 2020-12-07 l10n daemon script   GIT_SILENT made messages (after extraction)                                                                                                           
480a65cd7 2020-12-06 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
247eb3d2e 2020-12-04 Eric Dejouhanet      Remove some Ekos dependencies from builder                                                                                                            
451ac590c 2020-12-01 Cyril Richard        Fixes wcs structure and code when singular matrix is detected. Should fix #47                                                                         
e8da99b5d 2020-12-03 Hy Murveit           Fitsviewer option to overlay saturated pixels in red.                                                                                                 
2da33d40e 2020-12-01 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
f7fa10536 2020-11-29 Eric Dejouhanet      Fix the focus state notification                                                                                                                      
fafbf12e0 2020-11-27 Alexander Lohnau     Port KNS method                                                                                                                                       
757b6d9f9 2020-11-28 Eric Dejouhanet      Make the app-image build failure a warning only.                                                                                                      
3507693c8 2020-11-24 Jasem Mutlaq         Start KStars v3.5.1 development cycle                                                                                                                 
f8ac2f798 2020-11-22 Jasem Mutlaq         Apparently checking isEnabled is not reliable indicator since it depends on parent status as well                                                     
343f484ed 2020-11-22 Jasem Mutlaq         Call checkCCD..etc al when set setting is called for the first time to ensure all parameters are set up properly                                      

3.5.0 (StellarSolver):

3384e057f 2020-11-20 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
9e376958f 2020-11-19 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
56dc564a8 2020-11-18 Jasem Mutlaq         Only save debayered local file using copy method and not temporary ones
6f7352178 2020-11-18 Jasem Mutlaq         Update dependency
255dcd32d 2020-11-17 Jasem Mutlaq         Exclue User Input events to fix an issue on MacOS
8b1eacdae 2020-11-17 Eric Dejouhanet      Prevent duplicate focus execution.
69f97fd6d 2020-11-16 Jasem Mutlaq         Fix crash when multiple views access the same FITSData and where loading WCS is still in progress. Add a variable to keep watch on WCS processing st..
b3422835d 2020-11-15 Hy Murveit           Linear focuser fix bug where it hadn't been returning to initial position on error.
5b275fb3d 2020-11-16 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
1bb129f85 2020-11-15 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
d1e1352d4 2020-11-15 Jasem Mutlaq         Remove unused headers
0dd339c95 2020-11-15 Eric Dejouhanet      Build on master and MRs, test and app-image on MRs only.
2109eb393 2020-11-15 Jasem Mutlaq         Do not warn about Sun if you are already tracking it
9b5156e22 2020-11-15 Jasem Mutlaq         Remove more unused old astrometry code
8dd932036 2020-11-14 Jasem Mutlaq         Comment disabled file
c7c03bfd8 2020-11-14 Jasem Mutlaq         Disable unused code. Create and add local astrometry folder to the list of astrometry paths
5c1c1b76e 2020-11-14 Jasem Mutlaq         Call configure local astrometry to create the local astrometry download folder
56dd014b8 2020-11-14 Jasem Mutlaq         Comment unused sources
39b6d8ab0 2020-11-14 Jasem Mutlaq         Reduce sizes
b70807bb2 2020-11-14 Eric Dejouhanet      Reset Ekos pop-ups parents
8ef5acddc 2020-11-13 Fabrizio Pollastri   Mount Control layout with font metrics
57c44d05c 2020-11-13 Eric Dejouhanet      Rework Focus UI button update.
69b159be6 2020-11-13 Hy Murveit           Give the fitsValue and fitsPosition status widgets a minimum width.
911f29311 2020-11-12 Robert Lancaster     Updating the profile editor to manage the initial keep parameter
83ed4971a 2020-11-12 Hy Murveit           Fix profile combobox bug
7ab6c95a6 2020-11-12 Jasem Mutlaq         Fix test fits data. Hopefully this is the last bit with default profiles
4886d9b31 2020-11-11 Hy Murveit           Fix annoying compiler warnings.
f8b9ca3de 2020-11-11 Eric Dejouhanet      Explicitly add libstellarsolver as dependency
25d417e5c 2020-11-11 Jasem Mutlaq         Update mount control status when slewing
bc6b3d43c 2020-11-11 Jasem Mutlaq         Fix several layout issues. Apparently less is more
dcce7dd4d 2020-11-11 Jasem Mutlaq         Disconnect client manager to this specific device when removing to prevent possible crash
8d542046b 2020-11-11 Jasem Mutlaq         Fixed LONG standing GUI bug affecting connection tab when some properties are removed and then later added. Now calling invalidate to refresh the la..
be7515a43 2020-11-11 Jasem Mutlaq         Use QtConcurrent to speed up WCS calculations
bb940ddcf 2020-11-10 Hy Murveit           Remember to reset the meridian flip (and other) settings on exit.
370ede8ca 2020-11-10 Jasem Mutlaq         Use QTime to produce the text
00e570b94 2020-11-10 Jasem Mutlaq         Throttle mount update status
0ce1926c4 2020-11-10 Jasem Mutlaq         const correctness and add meridian flip status accessor
88c82ce89 2020-11-10 Jasem Mutlaq         Add i18n to meridian flip status description
5cfdb5870 2020-11-10 Wolfgang Reissenberger Capture counting test cases added
15f72c16c 2020-11-10 Jasem Mutlaq         Send meridianFlipText separately
0c8d0f085 2020-11-09 Hy Murveit           Don't print HFR for flats in fitsviewer status line.
fba99848a 2020-11-10 Jasem Mutlaq         Should not disable meridian flip in polar alignment since it is not achieving the required result. An explicit call to mount module is required and ..
c15d8028a 2020-11-09 Hy Murveit           Modified default StellarSolver profiles for Guide and Focus
166f3d91a 2020-11-09 Hy Murveit           Fix bug where HFR status disappears from fitsviewer.
8f1d90fdf 2020-11-08 Jasem Mutlaq         INDI Drivers sync
70a5076bb 2020-11-07 Wolfgang Reissenberger Change fitsview tab title for image changes
e8af04cf4 2020-11-07 Jasem Mutlaq         Use image_data filename instead of currentURL which can be empty
25b789c2b 2020-11-04 Hy Murveit           Reorganize Analyze UI, add capture features.
d0f7c923b 2020-11-06 Jasem Mutlaq         Include filename even when loading data buffer to set the metadata necessary
59551491a 2020-11-05 Jasem Mutlaq         Delete all FITS viewers on exist
08d9aa954 2020-11-05 Jasem Mutlaq         Switch local stellarsolver if remote astrometry device is not detected
02922db06 2020-11-05 Jasem Mutlaq         Release all fits viewer if the option was indepdent windows since they will not be otherwise destroyed when KStars is
a5f1a5e74 2020-11-05 Jasem Mutlaq         Remote solver should be working again
8bd227f0c 2020-11-05 Jasem Mutlaq         Fix adding profile for cameras, guiders, and focusers
3dfb01546 2020-11-04 Eric Dejouhanet      Fix star count being limited by StellarSolver's default profile.
e9c606fd3 2020-11-04 Eric Dejouhanet      Work around the delay to add a sequence job item, consider invalid exposure and count.
d3be92d28 2020-10-27 Dušan Poizl          Fix opening FITS files where path contain non Latin1 characters
b90fe2201 2020-11-04 Jasem Mutlaq         Add HFR SEP Profiles
0b22df4b0 2020-11-04 Jasem Mutlaq         Remove pp added by mistake
f952564f4 2020-11-04 Jasem Mutlaq         Refactor to StellarSolverProfileEditor from generic OptionsProfilesEditor
a2cef5e53 2020-11-04 Hy Murveit           HFR StellarSolver Extraction profiles.
0be60f8a6 2020-11-03 Wolfgang Reissenberger Test cases for capture counting harmonized - tests with and without the scheduler use the same test data sets - new test data added showing bugs usi..
edb060431 2020-11-02 Jasem Mutlaq         Fix by Fabrizio Pollastri to Qt 5.15 Mount QML layout
1d0df82e7 2020-11-02 Jasem Mutlaq         Ensure the prior future if any completed processing before starting a new one
940a05d8f 2020-11-02 Jasem Mutlaq         Fixed the root cause leading the erronous GOTO when using the DBus GotoTarget function
60e223063 2020-11-02 Jasem Mutlaq         Restore function used in data visualization
fe85aa9a9 2020-11-02 Jasem Mutlaq         More .get to .data fixes for pre Qt 5.11
aaa132013 2020-11-02 Jasem Mutlaq         Fix warning
c4dfdc612 2020-11-02 Jasem Mutlaq         No need to clear a stacked declared variable
cd8eaa998 2020-11-02 Jasem Mutlaq         Set batch mode explicitly off to prevent any batch files written as a consequence
d1cdcb1f4 2020-11-02 Jasem Mutlaq         Fix jpg and png loading. Support monochrome natively
acfa86185 2020-11-02 Jasem Mutlaq         Do not fall back to searching full frame if there are no stars in the subframe. Let the calling function make that decision
e4c82583f 2020-11-02 Jasem Mutlaq         Use .data since .get is not available until Qt 5.11
46d67d9f3 2020-11-01 Hy Murveit           Remove red circles from SEPMultistar guideview
e8b32a694 2020-11-01 Jasem Mutlaq         Fix mount module slew to wrong coordinates
af7540d97 2020-11-01 Jasem Mutlaq         Handle cases where the corredponding module is not yet initialized
c653962c5 2020-11-01 Jasem Mutlaq         Add a check for the current Telescope pointer
976dc3067 2020-11-01 Jasem Mutlaq         Use delete later for FITSData and check if the future is running before waiting for it to finish
8492eab3f 2020-10-31 Robert Lancaster     Setting correct windows default paths for astrometry solving.
c27a4cd4c 2020-10-31 Jasem Mutlaq         Account for binned pixel
db771febd 2020-10-30 Jasem Mutlaq         Add more metadata and increase METADATA_PACKET size
5d8e55863 2020-10-29 Jasem Mutlaq         In case star detector is still running, wait for it to finish before destroying the object
dfe6ee466 2020-10-29 Jasem Mutlaq         Set binning and sep profile in align
8ee91df8f 2020-10-28 Jasem Mutlaq         Limit testfitsdata to StellarSolver
b3d670d52 2020-10-28 Jasem Mutlaq         Do not run tests if StellarSolver is not installed
1416dd6ee 2020-10-28 Jasem Mutlaq         Use more sane defaults for focus. Can be better optimized
dfb2552f2 2020-10-27 Jasem Mutlaq         Check if special value is not invalid
aa97bb16d 2020-10-27 Jasem Mutlaq         Use INVALID_VALUE to learn whether the value has been initialized
87ec60260 2020-10-27 Jasem Mutlaq         Init offset and gain special values
da0f07418 2020-10-27 Jasem Mutlaq         Fix gain and offset add job settings
67f727db7 2020-10-27 Jasem Mutlaq         load from image QByteArray
100f0e0c2 2020-10-27 Jasem Mutlaq         Use RGB888 to save on memory when loading from buffer
22a3ac419 2020-10-27 Jasem Mutlaq         Media load and slew support
758a122dd 2020-10-27 Jasem Mutlaq         Add a new command to send stellarsolver profiles
c3c17b910 2020-10-27 Jasem Mutlaq         Handle capture preset in loop
b1cbcace2 2020-10-27 Jasem Mutlaq         Rename StellarSolver profiles to more appropiate name. Add function to return a list of profile labels
985347101 2020-10-27 Jasem Mutlaq         Update build to use modern stellarsolver config targets
bd7b76b3a 2020-10-27 Jasem Mutlaq         Not required as stellarsolver would use config targets
5ae4a9eac 2020-10-27 Jasem Mutlaq         Fix header corruption when copying values
6d04886fe 2020-10-27 Jasem Mutlaq         Disable unnecessary function and reset FITSView
d51afaa14 2020-10-27 Jasem Mutlaq         Make event notification less spammy
bdb7d5784 2020-10-27 Jasem Mutlaq         Reset frame before focus capture
4dba074d5 2020-10-26 Jasem Mutlaq         Do not forget to announce state change for mount
b827b1d93 2020-10-26 Jasem Mutlaq         Re-enable loadandslew after solver failure
8cc9ab4cc 2020-10-26 Jasem Mutlaq         When saving to a new FITS file, create it from a new image since we could have debayered the buffer and lost the original bayered buffer since it is..
fbf04c95d 2020-10-26 Jasem Mutlaq         Use QByteArray instead of passing raw buffers
8fc67230a 2020-10-26 Jasem Mutlaq         WHen loading images use all formats at once to avoid confusion
f9638b9c2 2020-10-26 Jasem Mutlaq         Fix target diff refactor
7bd28c2a3 2020-10-26 Jasem Mutlaq         Migrate old-style signals/slots to the new style
276a12d96 2020-10-26 Jasem Mutlaq         Fix warnings and close and remove indi fifo file when server is stopped
b45531d18 2020-10-26 Jasem Mutlaq         Remove temporary file check since it is no longer valid
558448493 2020-10-26 Jasem Mutlaq         Fix FITS tests
0077370a9 2020-10-26 Jasem Mutlaq         Close buffer are use
07c8b0679 2020-10-25 Jasem Mutlaq         No need to set maxStarCount since it is set in the profiles
995e1a343 2020-10-25 Jasem Mutlaq         Send resolution along with video frame
bc2eb0e84 2020-10-25 Jasem Mutlaq         send extension in metadata
af1a79810 2020-10-25 Jasem Mutlaq         Open buffer before use
182db227a 2020-10-25 Jasem Mutlaq         For gain and offset, use their special value
4a1b51091 2020-10-25 Jasem Mutlaq         Fix StelalrSolver ifdef enclosure
1c2ed998c 2020-10-25 Jasem Mutlaq         Embed metadata with image
f19c96c15 2020-10-25 Jasem Mutlaq         Fix StellarSolver warnings
7e0056620 2020-10-25 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
f921dad0d 2020-10-25 Jasem Mutlaq         Use QSharedPointer for video frame
10b5d026a 2020-10-25 Jasem Mutlaq         Rework dark library handling with the FITSData
d1fd2c93e 2020-10-25 Jasem Mutlaq         Use temporary fake path name to ensure the file is recognized as preview
b749c9b9d 2020-10-25 Jasem Mutlaq         Fix min/max in special cases
b309d8ab7 2020-10-24 Jasem Mutlaq         Use files for online and offline solvers
0a77a9376 2020-10-24 Jasem Mutlaq         Move all FITSViewer window creation to KStars instance so that it can manage them fully while other objects only request from the pool of available ..
0a62e4648 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
f33714a06 2020-10-24 Jasem Mutlaq         Migrate channels to be part of the image statistics. Minor fixes
fada31090 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
0a67e2ff2 2020-10-24 Jasem Mutlaq         Use summary view if possible to send preview images, if not then from FITSData
546f368dd 2020-10-24 Jasem Mutlaq         Update capture module to work with FITSData directly. Fix gain setting
f85812fa9 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
626300316 2020-10-24 Jasem Mutlaq         Add new method to load data directly from FITSData and not disk files
a84c5fc08 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
5ffaf7808 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
c8881b868 2020-10-24 Jasem Mutlaq         Add support to load RAW images
0a5d6709e 2020-10-24 Jasem Mutlaq         Remove auto convert FITS since that is no longer necesary
c056458f9 2020-10-24 Jasem Mutlaq         Use FITSViewer shared pointer
e12899511 2020-10-24 Jasem Mutlaq         Major refactoring for FITSViewer and how FITS and other data is handled: 1. Eliminate any unncessary "temporary" files. If we have a buffer, use it ..
83568b231 2020-10-23 Felix Yan            Correct a typo in darkmatter.docbook
696d5a022 2020-10-23 Nicolas Alvarez      GitLab CI: reduce parallel jobs in ninja
3ca7488ac 2020-10-22 Jasem Mutlaq         Improve setSetting so that it updates object information if toggled
aca1aa042 2020-10-22 Jasem Mutlaq         Fix tests. Need to re-check again after default profiles are embedded in KStars
e65a48404 2020-10-22 Jasem Mutlaq         Correct syntax leading to odd results
d22f267b8 2020-10-22 Jasem Mutlaq         Cast to double since JMIndex can be zero otherwise
f703c7ba8 2020-10-22 Jasem Mutlaq         Do not remote load and slew temporary file, it will be detected later
840a2d659 2020-10-22 Jasem Mutlaq         Restore align completion time. Do not copy solved file as it is not required with stellarsolver
393783486 2020-10-22 Jasem Mutlaq         Update settings upon adding filter wheel
a1c7b5a28 2020-10-22 Jasem Mutlaq         Use stars returned from StellarSolver to create edges directly
1e88074a6 2020-10-22 Jasem Mutlaq         Move block down so that it compiles on Windows due to weird conflict with stellarsolver astrometry
2a873898e 2020-10-21 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
c42bc42fa 2020-10-21 Jasem Mutlaq         Add check for jobs empty
43aca337f 2020-10-21 Jasem Mutlaq         Use Unique Connections for all module connections
8fd68915f 2020-10-21 Jasem Mutlaq         Get target params default settings before setting them
e386646d0 2020-10-21 Jasem Mutlaq         Forgot to include middle rect
d9d1167f8 2020-10-21 Jasem Mutlaq         Restore QuickHFR settings
000e8a9ac 2020-10-21 Jasem Mutlaq         Use cleanup
59faf2eab 2020-10-21 Jasem Mutlaq         Remove duplicate prepareJob
7023bc311 2020-10-21 Jasem Mutlaq         Add missing header
2f42d402b 2020-10-21 Jasem Mutlaq         Better handling for source extractor settings in FITSData
759c64c27 2020-10-20 Jasem Mutlaq         Add extraction background as a separate entity to the FITS data that can be retrieved after source extraction
9a89171a9 2020-10-20 Jasem Mutlaq         Enclose connect clause for dialog type confirmation in the corresponding if block
2767cd178 2020-10-20 Jasem Mutlaq         Send axis delta to ekoslive
b049d7abe 2020-10-20 Jasem Mutlaq         Fix missing closing slash in XML element
a1755653e 2020-10-20 Jasem Mutlaq         Update to extractor parallel computation
58aabb619 2020-10-19 Jasem Mutlaq         Standardize mount module interface
d9ef1810f 2020-10-18 Jasem Mutlaq         wrap solver in QPointer to prevent leak
f8c287bf1 2020-10-18 Jasem Mutlaq         Disable eventloop since extraction is sync operation now
ad6b33668 2020-10-17 Wolfgang Reissenberger Ekos states documentation for capture states
9208ba63a 2020-10-17 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
652039e03 2020-10-17 Wolfgang Reissenberger Bugfix correcting meridian flip states for double meridian flips
5d7ff49ed 2020-10-17 Robert Lancaster     Adding the AutoDownsample function
15ba3c90a 2020-10-16 Robert Lancaster     Fixing online file path.  Renaming some combo box items
b3903b791 2020-10-16 Jasem Mutlaq         Make use of all available space
5c8fb5e02 2020-10-16 Jasem Mutlaq         Use updated signal to ensure proper shutdown of the solver. Requires updated stellarsolver
84d87a0e8 2020-10-16 Yuri Chornoivan      Add missing period
8863df103 2020-10-15 Jasem Mutlaq         Improve how FOV Position Angle is displayed with match with expectations in Ekos
bccebb707 2020-10-15 Jasem Mutlaq         Add sync target to mount function separately
544cf5a8a 2020-10-15 Jasem Mutlaq         Add accuracy and settle to settings
85b9f6a4e 2020-10-15 Jasem Mutlaq         Add focus option profiles to settings
40ed6072a 2020-10-15 Christian Dersch     Update OpenNGC to latest release (v20201004)
eef33ac6d 2020-10-15 Jasem Mutlaq         Fix non-FITS private load warnings
42e295f7e 2020-10-15 Jasem Mutlaq         Fix scope reporting
e24b0b211 2020-10-15 Jasem Mutlaq         process solverAction setting
be9ccdbb7 2020-10-15 Jasem Mutlaq         Add guide loop support
69b606eb7 2020-10-15 Jasem Mutlaq         Use pixmap for low bandwidth images
7d23ea305 2020-10-15 Jasem Mutlaq         Add loop function to guide
33d1abcd4 2020-10-15 Jasem Mutlaq         Add commands for focus and guide captures
43e2c29f1 2020-10-15 Jasem Mutlaq         Improve supplied vs effective focal lengths
8fdde98d4 2020-10-15 Jasem Mutlaq         Extend solver scale range from 80% to 120% of calculated values to allow for more room for variations
23f9127f6 2020-10-15 Jasem Mutlaq         Disable problematic test until further notice
9869bcfb5 2020-10-15 Jasem Mutlaq         Add additional check to ensure we are using the correct telescope when imaging a sequence
36eb16a1c 2020-10-14 Jasem Mutlaq         Increase overall streaming quality
a099f2361 2020-10-14 Jasem Mutlaq         Add space
3f4acf6fa 2020-10-13 Jasem Mutlaq         Fix typo and correct format
be009c503 2020-10-13 Jasem Mutlaq         Only debyaer .stream formats only
961409672 2020-10-13 Eric Dejouhanet      Switch deps to nightly
478382b13 2020-10-13 Jasem Mutlaq         Find existing header information to speed up load and slew like before using StellarSolver
5ea51643f 2020-10-13 Jasem Mutlaq         Fix scale and field units
0c31810ff 2020-10-13 Jasem Mutlaq         Add a function to parse solution header
9a27b51f0 2020-10-13 Jasem Mutlaq         Make startup wizard buttons more concrete and less confusing.
745b6d909 2020-10-12 Jasem Mutlaq         Restore the timer start when solving. Do not update effective FOV and focal length when in load and slew
1069cd896 2020-10-12 Jasem Mutlaq         Fix crash when remote solver is selected but not available due to missing driver
278bc3c15 2020-10-12 Jasem Mutlaq         Add focus, guide, and align to media websocket preview send
9e941a735 2020-10-12 Eric Dejouhanet      Add StellarSolver library to CI.
f597ae8bd 2020-10-12 Jasem Mutlaq         Make sure remote parse device exist. If not switch back to StellarSolver
6014b37a2 2020-10-12 Jasem Mutlaq         Fix typo
d6d3a27ff 2020-10-11 Akarsh Simha         In the find dialog, replace multiple spaces by single space.
8aebf4626 2020-10-11 Akarsh Simha         astyle fixes
4c1d71034 2020-10-11 Akarsh Simha         Hackish way to fix crash when a random text file is loaded as a session plan into the observing list tool
698fb43f8 2020-10-11 Jasem Mutlaq         Add a settle status to Ekos manager whereas any 3rd party clients can now know when it is safer to communicate given that all properties are defined..
ddb52173a 2020-10-11 Jasem Mutlaq         Fix calculation for effective focal length
a8b786e88 2020-10-11 Akarsh Simha         Minor improvement: Avoid inserting nullptr objects into the nameHash
d87b7b880 2020-10-11 Jasem Mutlaq         Remove ekos reference in FITS Sep detector
0491c0286 2020-10-11 Jasem Mutlaq         Use KSUtil when possible to return any default paths
d1e4e2115 2020-10-11 Jasem Mutlaq         Add effective focal length and ratio in align module
25660a7e3 2020-10-11 Robert Lancaster     Separating StellarSolver logging from Astrometry logging.  Improving message for failed solves when alignment logging is off.  Improving Focus loggi..
bce9e3dc8 2020-10-10 Yuri Chornoivan      Fix minor typos
f7fe2ba7d 2020-10-10 Jasem Mutlaq         Declare starCenters for both stellarsolver and regular SEP
51fbd126b 2020-10-09 Robert Lancaster     Master
12ab6230f 2020-10-09 Jasem Mutlaq         Fix testfitsdata after latest changes
10bb63b6e 2020-10-09 Jasem Mutlaq         Fix findStars usage
fa6d0f0f2 2020-10-09 Jasem Mutlaq         Fix build when stellarsolver is not installed
f7e82270e 2020-10-09 Jasem Mutlaq         Update code to use asynchronous mode for star detection
d5d00312b 2020-10-09 Jasem Mutlaq         Use the updated StellarSolver consolidated syntax
f95230b88 2020-10-09 Jasem Mutlaq         Fix the fits test with stellarsolver
ebc1f4a7a 2020-10-08 Jasem Mutlaq         Use more accurate description for solver type
e5878278c 2020-10-08 Jasem Mutlaq         Add libstellarsolver-dev to the dependencies
976208fd7 2020-10-08 Jasem Mutlaq         Fix crash when using raw pointer
82ccb1e90 2020-10-08 Jasem Mutlaq         Add new HFR_HIGH type which gets a star in the top 5% of detected stars to avoid overly saturated stars while still getting a bright star good enoug..
8e8ea898c 2020-10-08 Jasem Mutlaq         If bounded search fails, fall back to full frame
4c3b4151d 2020-10-08 Jasem Mutlaq         Fix memory allocation issue
77fb1287b 2020-10-08 Jasem Mutlaq         Revert to gradient as it is now more reliable than SEP
a44d6b9d3 2020-10-08 Jasem Mutlaq         Stop crash if stellarsolver object is not init
63f320e23 2020-10-08 Jasem Mutlaq         Fix build when StellarSolver is not available even though it is now a hard dependency if INDI is detected
b2a99b8fb 2020-10-08 Jasem Mutlaq         Fix stellarsolver includes
20943987e 2020-10-08 Jasem Mutlaq         No need for astrometry.net
4f67d3282 2020-10-08 Jasem Mutlaq         Star should be select after setting star center
9a2189911 2020-10-08 Jasem Mutlaq         Fix using boundary in stellarsolver
3e02202c8 2020-10-08 Jasem Mutlaq         Add stellarsolver dependency
e78154841 2020-10-08 Robert Lancaster     This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of the cha..
0ed5f9338 2020-10-08 Jasem Mutlaq         Revert "This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of..
1dd9baf71 2020-10-08 Jasem Mutlaq         This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of the cha..
7120f95a1 2020-10-07 Jasem Mutlaq         Add _GET for focus settings
489300e12 2020-10-07 Jasem Mutlaq         Fix warnings
5dd94370a 2020-10-06 Jasem Mutlaq         Fix property subscription
afe2e28d8 2020-10-06 Jasem Mutlaq         Add focuser name to the settings get/set
c643cb792 2020-10-06 Jasem Mutlaq         Fix absolute path and style
681f72a62 2020-10-05 Hy Murveit           Fix issue with Analyze Info Box's background color.
e690ee5c7 2020-10-06 Fabrizio Pollastri   Minimize the mean angle representation error of DMS/HMS formats
936d1e33e 2020-10-05 Jasem Mutlaq         Add separate setters for primary, process, and mechanics options in focus module
902789ba1 2020-10-05 Jasem Mutlaq         Add corresponding commands for setting settings
de226522c 2020-10-05 Jasem Mutlaq         Add focus json Settings
9e74446c7 2020-10-04 Robert Lancaster     Misspelled Options
106e9968d 2020-10-04 Jasem Mutlaq         Add focus and guide get/set settings. Improve sycning settings
896673f64 2020-10-04 Robert Lancaster     Fixing star detection problem in other algorithms
4b671724c 2020-10-03 Robert Lancaster     Enabling Options Editing with apply and OK button, Allowing chaning of options profile for focusing, deleting unused options, improving logging opti..
1ef9dcc5f 2020-10-03 Jasem Mutlaq         Fix sending video frames over websocket
c8cfc1b17 2020-10-03 Jasem Mutlaq         Add an assert to check for potentially invalid base device and client manager pointers
f2161238a 2020-10-03 Jasem Mutlaq         foreach --> for
b23157726 2020-10-03 Jasem Mutlaq         Add labels to calibrate and rotate buttons to make them easier to figure out
7062c36b0 2020-10-01 Philip Mair          Fix for temperature delta check When using single exposure jobs (SHOSHO...)
ec404ec3c 2020-10-03 Robert Lancaster     Merging with upstream master
2c3b8c64c 2020-10-03 Jasem Mutlaq         Add missing KSTARS_CCD dType to INDI::CCD
432b0d356 2020-10-02 Jasem Mutlaq         Further improve handling disconnecting clients. Add 50ms delay to connecting devices
6fccf3e9e 2020-10-02 Eric Dejouhanet      Fix some deadlocks and sigsegvs
f5e4e9836 2020-10-01 Hy Murveit           Move settle started log statement to the start of dithering to match phdlogview
d604b2835 2020-09-27 Hy Murveit           Skip GPG with large drift. Reset GPG if too many skips.
ff7fff6d8 2020-09-30 Robert Lancaster     Loading index folder paths both default and from config file
ae8f095f5 2020-09-30 Robert Lancaster     loading saved options list, deleting unused downsample option
8ad873931 2020-09-30 Jasem Mutlaq         Fix wrong static cast to int for double value
5af15c4cf 2020-09-29 Robert Lancaster     Creating a way for useScale and usePosition to be temporarily disabled for the loadAndSlew method.
0f3c1f7d7 2020-09-29 Jasem Mutlaq         Add accuracy and settle to setSettings in Align
b74f372e8 2020-09-29 Jasem Mutlaq         Support saving to QImage supported format
861caff77 2020-09-29 Jasem Mutlaq         Separate PNG and JPG save
23b8fe2c7 2020-09-29 Robert Lancaster     Enabling external program editor boxes
1103d4958 2020-09-29 Robert Lancaster     making index folder list editable
04642de74 2020-09-28 Robert Lancaster     trying again to fix find module on windows
b542fff01 2020-09-28 Robert Lancaster     trying to fix findstellarsolver.cmake
aa74bcdeb 2020-09-28 Robert Lancaster     Fixing problem with includes placement
972088205 2020-09-28 Robert Lancaster     Trying to fix the cmake module
85fa90625 2020-09-21 Hy Murveit           Add option to set max HFR for the guide star selected by SEP MultiStar.
480e2db4f 2020-09-28 Jeremy Burton        Fix sequence tag name
8b2b1e305 2020-09-28 Robert Lancaster     Correcting a forgotten disconnect that caused a crash
362239934 2020-09-28 Robert Lancaster     Adding the ability to load any image in load and slew and Open image
4b6c0dbb5 2020-09-27 Eric Dejouhanet      Fix gadget name in Capture Tests.
d576fd1dc 2020-09-27 Jasem Mutlaq         Add gain, iso, and dark to align JSON get/set presets
571da3b7b 2020-09-27 Jasem Mutlaq         Fix refactored save image error
7a18e0a58 2020-09-27 Jasem Mutlaq         Revert "Fix deprecated warning. endl --> Qt::endl"
3789e42f7 2020-09-27 Jasem Mutlaq         Fix deprecated warning. endl --> Qt::endl
4ce14076f 2020-09-27 Jasem Mutlaq         Fix sequence XML tags messed up due to mass replace before
2ca083c36 2020-09-27 Jasem Mutlaq         Set colorScheme as read-write property
156415dea 2020-09-27 Robert Lancaster     Enabling options profile editor buttons
c9cc6bfca 2020-09-25 Eric Dejouhanet      Color scheme update through d-bus
183ad39bc 2020-09-25 Jasem Mutlaq         INDI drivers sync
7402cc2be 2020-09-24 Jasem Mutlaq         Associate filter manager data with device
5d6c8880f 2020-09-24 Jasem Mutlaq         Add get and set data for filter manager
9272e360e 2020-09-24 Jasem Mutlaq         propElements is a better description for the variable
7a9aa6254 2020-09-23 Jasem Mutlaq         Implement EkosLive add and remove properties
5971ffdb5 2020-09-22 Jasem Mutlaq         Fix crash in guide module in case main camera is restarted
e57d3b8ec 2020-09-22 Eric Dejouhanet      Create ccache folder when gitlab runner lacks its cache.
c0f28925e 2020-09-22 Jasem Mutlaq         Fix compile error
8d84f21bb 2020-09-22 Jasem Mutlaq         Do not use filename when it is not necessary
91d0dcc94 2020-09-22 Eric Dejouhanet      Use ninja as build system instead of make, use ccache and fail fast on build.
396ab2c72 2020-09-22 Yuri Chornoivan      Use plurals, fix argument
28011870d 2020-09-21 Hy Murveit           Fix Analyze bug where bad timestamps can be used and written to analyze log
8e83bce18 2020-09-21 Jasem Mutlaq         Fix data type typo
7499206e7 2020-09-21 Akarsh Simha         Minor optimization: Move Options:: calls and floating point multiplication outside of drawing loop
d768c4aa8 2020-09-21 Akarsh Simha         Apply the deep-sky limiting magnitude to custom catalogs as well.
6bf859ac0 2020-09-21 Akarsh Simha         Refactor out the calculation for the deep-sky magnitude limit that we draw up to.
1a8aec58c 2020-09-20 Akarsh Simha         Inform the user when a wishlist object was not available in KStars instead of truncating the wishlist silently
aa1396bb0 2020-07-06 Akarsh Simha         Fix behavior of focus dialog when entering RA/Dec in JNow mode
7b3f37d6a 2020-09-20 Jasem Mutlaq         Add support to saving png/jpg in FITS Viewer
8bf143316 2020-09-20 Eric Dejouhanet      Reword ProfileEditor tooltips, especially remote INDI chaining.
19cae02e0 2020-09-19 Nicolas Fella        Remove unused include
528c3e74c 2020-09-17 Jasem Mutlaq         Add get calibration and file settings
3ad907342 2020-09-16 Jasem Mutlaq         Fix typo
f069f1358 2020-09-16 Jasem Mutlaq         Refactor capture module controls and add calibration, file, and limit settings to messages
c55eb81a5 2020-09-16 Jasem Mutlaq         Fix possible crash condition is currentFilterPosition <= 0
b207fc4be 2020-09-15 Kukuh Syafaat        add content rating
af9f6a642 2020-09-14 Jasem Mutlaq         Add ISO and Gain controls in Align module. This is a temporary solution as we should move to using presets with preset editor so that different came..
a52e61860 2020-09-14 Eric Dejouhanet      Condition use of horizontalAdvance to Qt 5.11+
b9b00ffe1 2020-09-12 Fabrizio Pollastri   Fix SkyPoint::EquatorialToHorizontal giving Az=360.0
a23eb10e4 2020-09-14 Eric Dejouhanet      Fix remote indi connection configuration and sigsegv on failure.
34b0c07aa 2020-09-13 Jasem Mutlaq         Fix warning and only search stars for LIGHT frames
f58c3b704 2020-09-13 Jasem Mutlaq         Fix INDI property to JSON translation
9fc522af6 2020-09-12 Eric Dejouhanet      Add Capture Module tests.
7fdf29242 2020-09-11 Jasem Mutlaq         Dynamically adjust font size based on how long the FOV name is
d15324a77 2020-09-10 Jasem Mutlaq         Refactor to be more consistent with code style
9831b5d1a 2020-09-10 Jasem Mutlaq         INDI drivers sync
b5cf8f524 2020-09-10 Jasem Mutlaq         Fix cpp-check warnings and Windows build error
72a7c8f16 2020-09-09 Cyril Richard        This fix the orientation issue: row order reversing will work differently for odd and even row count.
c55c2c3a8 2020-09-07 Jasem Mutlaq         Add device attribute to EkosLive device messages as it is required
9d7b3b17b 2020-09-06 Robert Lancaster     Updating defaults and fixing a crash
ddf5bcabd 2020-09-05 Fabrizio Pollastri   Fix class Dms double to float rounding
905746def 2020-09-05 Jasem Mutlaq         Update device time if KStars time is updated when applicable
9498c39a3 2020-09-04 Hy Murveit           Update the git tips section of README.md
f65d7f014 2020-09-02 Eric Dejouhanet      Relax RA/DEC match when slewing.
05fe66e98 2020-09-01 Doug Summers         Add alt to autofocus log lines (kstars log and autofocus log) in support of temperature and elevation focus compensation analysis
e17401310 2020-09-02 Hy Murveit           Fix testfitsdata.
affb11733 2020-08-31 Alexis Lopez Zubieta Include indiserver
fe07c8158 2020-08-28 Alexis Lopez Zubieta add appimage-builder recipe
c06150531 2020-09-01 Jasem Mutlaq         Add support to APPDIR for App image builds
3e26bbc6e 2020-09-01 Jasem Mutlaq         Add support to connecting to remote INDI hosts directly without device names
1d6565d72 2020-09-01 Jasem Mutlaq         Add manufacturer selection support to camera and focuser dropdowns to make it more accessible
f65347af8 2020-09-01 Jasem Mutlaq         INDI drivers sync
38c6dfafc 2020-09-01 Jasem Mutlaq         We can safe call startAstrometry now since it sets the target coordinate in the align module
05add3677 2020-08-31 Robert Lancaster     Making the OptionsProfiles work for KStars
1b72f18dc 2020-08-29 Hy Murveit           Improve Analyze zoom-in.
1314b03ee 2020-08-30 Robert Lancaster     Rotator and default paths combo box
b05ea1c11 2020-08-30 Yuri Chornoivan      Use i18n() instead of tr()
8bc1b3f6a 2020-08-30 Yuri Chornoivan      Allow flexible layout for labels on the Analyze tab
0a46e2dbe 2020-08-30 Yuri Chornoivan      Fix minor typos
3e6a13d62 2020-08-29 Yuri Chornoivan      Fix i18n() and typos
df9c28a67 2020-08-28 Robert Lancaster     Integrating Options
4e891aac0 2020-08-29 Jasem Mutlaq         Fix multithreaded race condition that could lead to crash between client and main GUI threads
bbc46886b 2020-08-29 Jasem Mutlaq         If Ekos option for Independent Window is selected, set Qt::Window flag accordingly.
01c6b2d8c 2020-08-28 Robert Lancaster     Updating docker test
a808199da 2020-08-28 Robert Lancaster     Some forgotten files in the commits
c99b53002 2020-08-28 Robert Lancaster     commenting out an issue
b57497179 2020-08-28 Robert Lancaster     Fixing conflicts
cffc7f79f 2020-08-28 Eric Dejouhanet      Using gitlab-runner to run tests.
d6d6dbc3c 2020-08-28 Eric Dejouhanet      Revert "Revert "Debugging test initialization.""
844f99123 2020-08-28 Eric Dejouhanet      Revert "Debugging test initialization."
11a445154 2020-08-28 Robert Lancaster     updating to new include directory name for stellarsolver
a2149a13a 2020-08-27 Hy Murveit           Change SEP MultiStar guiding from Experimental to Recommended.
77bb12748 2020-08-28 Yuri Chornoivan      Use entity
b620eb490 2020-08-28 Yuri Chornoivan      Add some formatting
e082d271b 2020-08-28 Yuri Chornoivan      Fix minor typo
9681ee46b 2020-08-25 Fabrizio Pollastri   Add sync with az/alt coordinates
7b45612a9 2020-08-27 Hy Murveit           Changed the help popup so that it scrolls. Added a way to input an alternate directory for FITS files.
9278ec8f1 2020-08-24 Yuri Chornoivan      Fix minor typo
f5af981af 2020-08-23 Eric Dejouhanet      Stabilize tests
f4a8a74c6 2020-08-23 Jasem Mutlaq         Make sure current telescope is initilized
0910ae8a2 2020-08-23 Jasem Mutlaq         Add support for forcing re-alignment before each job
3d9157ee3 2020-08-22 Robert Lancaster     Attempt at integrating the solver
d260ea008 2020-08-22 Jasem Mutlaq         Fix issue with dbus call missing arguments
f13b95b07 2020-08-22 Jasem Mutlaq         INDI Drivers sync
57b7e9f8f 2020-08-20 Eric Dejouhanet      Revert "Option added for re-aligning if guiding failed"
698b19a14 2020-08-20 Jasem Mutlaq         Add facility in Align module to set a custom target module. It used to be always based on current mount target, but under few circumstances, the cur..
7beff6309 2020-08-19 Wolfgang Reissenberger Checking dithering before focus check to avoid overlapping of both actions during pre-capture checks
6444cbc54 2020-08-19 Wolfgang Reissenberger Option added for re-aligning if guiding failed
c9bc7452d 2020-08-19 Pino Toscano         TestFitsData: increment loading timeouts to 10s
a9f07c324 2020-08-19 Jasem Mutlaq         Add extra check that property is registered
3d3c7e3d3 2020-08-17 Valentin Boettcher   correct small typo in the doxygen main page
43595faa3 2020-08-12 Nicolas Fella        Remove unneeded includes
45db55d66 2020-08-10 Jasem Mutlaq         Disconnect all blob managers when remotely disconnecting a server as well
e6a69db89 2020-08-05 Wolfgang Reissenberger Bug fix for continuing capturing after meridian flip if no guiding is running
0c7482e02 2020-08-03 Hy Murveit           Add BUILD_RELEASE to main kstars version display.
26f1cd330 2020-08-03 Jasem Mutlaq         Add pre-release warning to About page so that users can differentiate between beta and stable builds
027d1df28 2020-08-02 Jasem Mutlaq         Add concept of Proxy Devices which are devices that implmenet a different interface of a concrete device decorator.
3332d51f5 2020-08-01 Florian Signoret     Autofocus on observatory temperature change
b13ec7ea4 2020-07-28 Jasem Mutlaq         Fix compile errors
653a4a80f 2020-07-28 Hy Murveit           Adjust SEP MultiStar graphics so lines don't obscure guidestar.
f3f1165ea 2020-07-26 Jasem Mutlaq         Correctly handle "other" button.
328cd5477 2020-07-26 Hy Murveit           skip non-guide blobs in guider::newFITS, improve reaction to lost stars in dither, remove getLastStarPosition.
597ec9f0e 2020-07-25 Hy Murveit           Added MR description section to README.md. Changed Pull Request -> Merge Request.
4042555e6 2020-07-25 Jasem Mutlaq         Starting v3.5.0 development cycle
3d97cda93 2020-07-18 Hy Murveit           Fixed dither issue where when star is not found, large drift is wrongly calculated.
f0bfcdf13 2020-07-20 Pino Toscano         tests: do not pass a literal string as format string

3.4.3 (Neowise):

7b2c3a010 2020-07-18 Jasem Mutlaq         INDI driver sync
11130020b 2020-07-17 Eric Dejouhanet      Bugfix  phd2 protocol tolerance
19ec71c74 2020-07-17 Eric Dejouhanet      Fix qCompare int/double.
29abc4aef 2020-07-17 Eric Dejouhanet      Fix focus test missing header.
4fc154588 2020-07-16 Hy Murveit           Enable focus test
2c4aab15d 2020-07-07 Hy Murveit           Save and restore calibration, with test. Refactor calibration code.
b4c164f0a 2020-07-15 Jasem Mutlaq         Just account for the dec in the last step, no need to change the mosaic tile drawing code
ef84f225e 2020-07-15 Jasem Mutlaq         Account for cos(dec) in mosaic tool
0e0de5257 2020-07-14 Eric Dejouhanet      Improve fault tolerance during PHD2 interactions
7d1de4a14 2020-07-13 Jasem Mutlaq         Add filter wheel logging to capture dbus
adeebc903 2020-07-13 Jasem Mutlaq         Fix logging DBus call
83bb3a765 2020-07-12 Jasem Mutlaq         Check that we process only WEATHER_PARAMETERS property
dcd9dd52a 2020-07-12 Jasem Mutlaq         Use const reference to pass weather data instead of by value
5a0ef1e81 2020-07-12 Jasem Mutlaq         Try to send 5secs before heart beat timeout instead of 15 secs
4d7209279 2020-07-10 Jasem Mutlaq         Move flat focus option to filter manager for clarity
dcf419875 2020-07-10 Jasem Mutlaq         INDI drivers sync
d499f0bbb 2020-07-06 Jasem Mutlaq         Ensure that the default filter wheel exists in the current device list, otherwise fallback to filter wheel device list
3d6975107 2020-07-06 Jasem Mutlaq         Ensure that the filter wheel is set to whatever the default is. Ignore override
a4ea698e1 2020-07-05 Akarsh Simha         Code formatting (astyle) fixes
e3dc576f5 2020-07-05 Akarsh Simha         [Needs testing] Major refactoring of refraction corrections that fixes some bugs
4283c554f 2020-07-05 Akarsh Simha         Some refractoring: needs double-checking to be sure.
10e98d37b 2020-07-05 Akarsh Simha         Remove incorrect comment -- we iterate for the inverse in SkyPoint::unrefract
791f471c1 2020-07-05 Akarsh Simha         Replace -1.0 by SkyPoint::altCrit in various places (where we check for objects below the horizon)
8576c3760 2020-07-04 Hy Murveit           Merge branch 'master' of https://invent.kde.org/education/kstars
7137a2240 2020-07-04 Hy Murveit           Linear focus tests, UI, and tweaks
749d40a51 2020-07-04 Akarsh Simha         Fix regression in rendering deep star catalogs from 3c299e52e57a1a52722bc9d3b9235b31a4306fb2
4cdaf4457 2020-07-04 Jasem Mutlaq         INDI driver sync
14c60f4dc 2020-07-03 Hy Murveit           Add a compute HFR option, and separate HFR computation from Mark Stars.
706b372ac 2020-07-02 Hy Murveit           Merge branch 'master' of https://invent.kde.org/education/kstars
92f1fbe58 2020-07-03 Jasem Mutlaq         Disable internalguide test in Windows
712f85378 2020-07-03 Jasem Mutlaq         Re-arrange test requirements
b7957ba6d 2020-07-03 Jasem Mutlaq         Move internal guide to INDI
3acc0e989 2020-07-02 Jasem Mutlaq         Fix few issues with opsgpg UI file
c331d2fe5 2020-07-02 Jasem Mutlaq         Add GUIDE_REACQUIRE to list of conditions which lead to GUIDE_ABORT
1a46698f6 2020-07-01 Jasem Mutlaq         Dithering should be activated on preview
6edf21614 2020-07-02 Hy Murveit           Fix compiler warnings in opsgpg
446481d5f 2020-07-01 Jasem Mutlaq         Send to client if there is no object
dae284f46 2020-07-01 Jasem Mutlaq         Do not start focus in preview capture
43b0c54fd 2020-07-01 Jasem Mutlaq         Fix warnings
ebf61c52f 2020-07-01 Hy Murveit           Gaussian Process Guider & guide graph
17a8085bc 2020-06-29 Wolfgang Reissenberger Bugfix for correct activation of dome and weather UI
db1a82113 2020-06-27 Eric Dejouhanet      Fix typo on DEC integral gain.
d4b4cc2eb 2020-06-27 Jasem Mutlaq         Fix crash in image dump mode. Fix script parsing
27c9bda00 2020-06-27 Jasem Mutlaq         Use regex to parse DBus command to fix a crash.
eaae3bb6c 2020-06-27 Jasem Mutlaq         Increase icon size
416181f40 2020-06-26 Jasem Mutlaq         Migrate the below horizon and Sun dialogs to KSMessageBox
1fb950b4d 2020-06-26 Jasem Mutlaq         Add corresponding INDI driver call to logging as well
632c41435 2020-06-26 Wolfgang Reissenberger Bugfix focuser duplicated abs position
0e075c10e 2020-06-26 Jasem Mutlaq         Add more logging controls and sync filter rules after updataing them
eac257180 2020-06-25 Jasem Mutlaq         Abort before time out
32d82b183 2020-06-25 Jasem Mutlaq         INDI drivers sync
f9ef809a6 2020-06-23 Wolfgang Reissenberger Fix crash in looping
3ea1d0852 2020-06-23 Jasem Mutlaq         Add Ekos logging to DBus
2afeec16f 2020-06-23 Wolfgang Reissenberger Bug fixing capture refactoring
b7614fea3 2020-06-22 Hy Murveit           Remove obsolete code
ad0936a94 2020-06-20 Jasem Mutlaq         Perform checks in 1000ms to enable proper shutdown sequence of multiple drivers per device
e9eb0cdc6 2020-06-18 Jasem Mutlaq         Fix state machine transition. Do not emit unless we have an actual change in the state
c85487ac5 2020-06-18 Hy Murveit           Internal guider improvements
a36776e1e 2020-06-17 Jasem Mutlaq         Preview images should always be Client upload type
58e9292b1 2020-06-17 Jasem Mutlaq         Fix issue where progress is not updated when remote images are captured. Thanks to Ken on INDI forums who found the issue
8d1cc913e 2020-06-17 Jasem Mutlaq         Add support for camera driver restart. Still needs testing
11f5b1758 2020-06-15 Hy Murveit           Graphics for SEP MultiStar
cc17537dd 2020-06-15 Hy Murveit           Address the slew-never-started bug.
b5693e22a 2020-06-14 Jasem Mutlaq         Disable spammy log for now
b6ae9277f 2020-06-14 Eric Dejouhanet      Tests for the PHD2 guider link
a223eb308 2020-06-13 Jasem Mutlaq         Add explicit offset control. Separate ISO and Gain controls
fa66a4a10 2020-06-13 Jasem Mutlaq         Add explicit offset control. Separate ISO and Gain controls
5804fa40b 2020-06-11 Hy Murveit           Cleaned up the multi-star guiding graphics
0d98c7b5e 2020-06-11 Hy Murveit           Graphics for SEP MultiStar
a4964e6a2 2020-06-11 Mohamad Kaouri       Added profile name uniqueness requirement
bfa637c52 2020-06-11 Hy Murveit           SEP Multi-Star Internal Guider
4293214ac 2020-06-10 Wolfgang Reissenberger Code refactoring unifying capture initialization for new sequences and continuing of sequences
96a8ae0cc 2020-06-05 Jasem Mutlaq         INDI drivers sync
e9533982c 2020-06-04 Chris Rowland        Allow for the case where the mount uses the pointing state early
1b42c2f6f 2020-06-04 Jasem Mutlaq         Propagate weatherData from device to weather module and connect it with Focus
6a8af56c1 2020-06-04 Jasem Mutlaq         Merge branch 'dmsummers/kstars-focus_temperature_logging' into HEAD
3cb37ee62 2020-06-02 Florian Signoret     Keep focus temperature until next autofocus is complete
160fd208a 2020-06-03 Hy Murveit           Changed name to isGuidingOn and made it a private method.
d41401815 2020-06-02 Doug Summers         update to use WEATHER_TEMPERATURE name vs label
032b712d3 2020-06-01 Doug Summers         focus log changes supporting addition of weather temperature sensor (when focuser sensor is unavailable) plus HFR addition to autofocus results, plu..
c78d02b61 2020-06-02 Doug Summers         only log when focus logging is enabled
af8ece546 2020-06-02 Jasem Mutlaq         Add extra register check in INDI Device
19a8922e6 2020-06-01 Doug Summers         focus log changes supporting addition of weather temperature sensor (when focuser sensor is unavailable) plus HFR addition to autofocus results, plu..
da5ccab3f 2020-06-01 Jasem Mutlaq         Ensure to register DBus modules as signals depend on order of creation
80572f086 2020-05-30 Jasem Mutlaq         NO_ERROR appears to be reserved in Windows
77ce9e42a 2020-05-27 Jasem Mutlaq         Use QElapseTimer instead of QTimer. Mark parking as failed state if state is ALERT and let calling function deal with the failure. Need to test
3e583f43f 2020-05-27 Jasem Mutlaq         Only register a CCD device if the interface explicitly contains CCD_INTERFACE
8e3147c72 2020-05-26 Jasem Mutlaq         Do not create a new device when a camera is reconnected again
9cec1ad2c 2020-05-24 Jasem Mutlaq         Do not debayer streamed DSLR frames since they are motion JPGs
7f3e50042 2020-05-24 Jasem Mutlaq         Sync INDI drivers
96c82809d 2020-05-24 Jasem Mutlaq         use Delta symbol
e1f84402f 2020-05-23 Jasem Mutlaq         Add missing header
fb4e84ad9 2020-05-23 Jasem Mutlaq         Make transient message disappear after 10 seconds
9ac60e4b0 2020-05-23 Jasem Mutlaq         Use #if defined and include kstars config
a42bf8d62 2020-05-23 Jasem Mutlaq         polar alignment testing should be running only when INDI is installed
c3edc7f24 2020-05-23 Chris Rowland        Add new polaralign class including test harness
07de9e16a 2020-05-23 Jasem Mutlaq         Add support to edit filters names in Ekos capture module
836e2f124 2020-05-23 Jasem Mutlaq         Use Delta instead of Change
23e20970d 2020-05-23 Jasem Mutlaq         Formatting fix and disabling spammy log
dbc9925b2 2020-05-23 Jasem Mutlaq         Only use Sextractor settings if the solver is set to offline.
bf7a7cef4 2020-05-23 Jasem Mutlaq         Check filter index to prevent crash in align module on filter change.
63c220e37 2020-05-23 Florian Signoret     Add autofocus on temperature change
02baf5380 2020-05-23 Hy Murveit           Fixes to guide logger
9fbdcb6ec 2020-05-22 Jasem Mutlaq         Update README.md
1c40d394a 2020-05-21 Hy Murveit           Move where Git Tips was, and added code section at the bottom of the tips.
f24231436 2020-05-21 Jasem Mutlaq         Fix indentations in README.md
c17a522b8 2020-05-21 Hy Murveit           Updated README.md adding instructions for developement mostly. Also added authors.
cb09caa45 2020-05-20 Hy Murveit           Change the guidelog directory to a guidelogs subdirectory.
f8e21b9c7 2020-05-20 Yuri Chornoivan      GIT_SILENT: add KStars icon as repository logo
0dbc6e5bc 2020-05-19 Hy Murveit           New user log for internal guider in Phd2 log format
95be2c8f7 2020-05-19 Jasem Mutlaq         USE_LIBONVA --> HAVE_LIBNOVA
eec7a3964 2020-05-17 Jasem Mutlaq         Update migration to gitlab info
320e0fe89 2020-05-17 Jasem Mutlaq         Organize Ekos options by breaking them down into several components
41d8323f8 2020-05-15 Jasem Mutlaq         Correct and simplify the meridian flip degree setting between mount and ekos
6749f48a4 2020-05-15 Jasem Mutlaq         Use JNow instead of J2000 when measuring the mount HA circle as propoer by Chris Rowlands to accurate measure the Polar Alignment Error. Requires mo..
a2ced315e 2020-05-15 Jasem Mutlaq         Add function to get UTC datetime from DATE-OBS header field
2bfe15fea 2020-05-14 Jasem Mutlaq         Fix libnova location and linking
f0f7c658b 2020-05-13 Hy Murveit           Add an internal guider calibration plot
6a551dcb9 2020-05-13 Jasem Mutlaq         Add .cmake to ignore
db21d0441 2020-05-12 Jasem Mutlaq         Fix libnova dependency issue
234d06d46 2020-05-12 Jasem Mutlaq         Fix the mess I made with average RMS calculation, and simply use the hypotenuse function
07fd9b4c5 2020-05-12 Jasem Mutlaq         Fix wrong RMS calculation again.. the division by 2 goes inside the sqrt
6fbcea2b0 2020-05-12 Jasem Mutlaq         Only test file if libnova is found on system
25e7799e9 2020-05-11 Jasem Mutlaq         Fix delta RMS calculation
82569890a 2020-05-10 Jasem Mutlaq         Updates to SkyPoint to improve positions
507b97075 2020-05-09 Jasem Mutlaq         Do not use typeof as it breaks compliation on Windows
4688c4775 2020-05-09 Jasem Mutlaq         Fix date read in and improve output batch file for Almanac
7434ad7ae 2020-05-07 Jasem Mutlaq         Add pause and toggleSequence to DBus interface as proposed by Ray
ab232a0a9 2020-05-07 Hy Murveit           Save HA Limit Enable checkbox
c264b91c4 2020-05-07 Jasem Mutlaq         Automatically debayer in video streams if supported
ea7020906 2020-05-04 Hy Murveit           Internal guider didn't take binning into account when computing arc-seconds
77c2bbe33 2020-05-04 Jasem Mutlaq         Implemented Bahtinov mask focus assistant, fix compiler warnings (in fpackutil.c and modcalcvizequinox.cpp)
4c68c4a7d 2020-05-04 Wolfgang Reissenberger Option to acquire the guiding status from PHD2 to stay in sync
01132e09a 2020-05-04 Eric Dejouhanet      Let UI tests customize the UI settings file.
637c9248c 2020-05-04 Hy Murveit           Fix issue with Meridian Flip Retry
913cbed49 2020-05-03 Jasem Mutlaq         Add syncDSLRToTargetChip function to set the INDI driver settings immediately without switching to capture module
f66d63476 2020-05-03 Jasem Mutlaq         Don't run fitsviewer test if no fitsio
3d738d3a6 2020-05-01 Hy Murveit           Comment out a couple wordy debug log messages
3521aa720 2020-04-30 Jasem Mutlaq         Only process focus numbers
e5b869391 2020-04-30 Yuri Chornoivan      Add missing space
6ab4abe7d 2020-04-29 Chris Rowland        + Use the mount Pier Side property to manage Pier Flip + Add HA limits.
6f9310924 2020-04-29 Jasem Mutlaq         Proper handling for restart crashed drivers
9d0b76420 2020-04-29 Jasem Mutlaq         Directly use getDriverInterface
30ac6d357 2020-04-29 Jasem Mutlaq         Migrate signal-slots to new format
3c299e52e 2020-04-28 Jasem Mutlaq         Disable old warning
cf56f127f 2020-04-27 Eric Dejouhanet      Make the Focus capture action include star detection
3875af22a 2020-04-27 Hy Murveit           Fix bug where tab fitsviews weren't receiving images when fitsviewer was not enabled
ec82fc3b7 2020-04-26 Yuri Chornoivan      Fix minor typos
68fda2473 2020-04-26 Hy Murveit           Improve Overlay Rendering
8ba2ccf79 2020-04-26 Jasem Mutlaq         Starting work on KStars v3.4.3

3.4.2 (Borisov):

c4ec429ac 2020-04-25 Jasem Mutlaq         Do not process un-registered property
3d9099bbf 2020-04-25 Jasem Mutlaq         Reduce random max travel dither distance to 15 pixels down from 25
1197d9389 2020-04-25 Jasem Mutlaq         Ignore SIGPIPE on Linux and MacOS
3035e5565 2020-04-25 Jasem Mutlaq         Failed and Aborted should be treated equally in capture
b907f6873 2020-04-24 Jasem Mutlaq         Disable test in package building
e7c2b8db7 2020-04-24 Jasem Mutlaq         No need for zoom factor with Hy latest patch
b03b46834 2020-04-24 Jasem Mutlaq         Remember weather status
837de1e60 2020-04-24 Jasem Mutlaq         Register FITSMode meta type
1133ae451 2020-04-22 Hy Murveit           Fix stretch control bug created in D28935
d9f2ef2e9 2020-04-22 Jasem Mutlaq         Use modern signal and slot connection
199f46268 2020-04-21 Jasem Mutlaq         typeof uses language extension so do not use it
bce2aa337 2020-04-21 Jasem Mutlaq         Fix compiling on Windows
cc087cd90 2020-04-21 Jasem Mutlaq         sysconf for Linux and MacOS only
edcf3554a 2020-04-21 Jasem Mutlaq         Remove GCC pragma to fix compliation on Windows
484918644 2020-04-21 Hy Murveit           Reduce memory use when zooming in fitsviewer
47da4eb38 2020-04-19 Jasem Mutlaq         Try up to 3 times to check if drivers are running on remote indi manager
573302c27 2020-04-19 Jasem Mutlaq         Sync INDI drivers
e6d1d0dca 2020-04-18 Eric Dejouhanet      Hotfix for non-INDI builds.
cb6f7207d 2020-04-17 Yuri Chornoivan      Fix minor typos
e7796bf9c 2020-04-17 Eric Dejouhanet      Make UI tests use a separate userdb
515efd42f 2020-04-17 Hy Murveit           SEP Focus improvements
c859850b1 2020-04-11 Akarsh Simha         Minor: const correctness
f2e080d37 2020-04-11 Akarsh Simha         Fix behavior of DBus method setRaDec, provide a new DBus method setRaDecJ2000, and support refraction-corrected altitudes in DBus method setAltAz
4594c3d64 2020-04-11 Wolfgang Reissenberger Mount box layout corrected so that everything fits well into the window
1f7493a63 2020-04-10 Hy Murveit           Fix the build which is broken on Macs by adding include for cmath
56051aa47 2020-04-09 Eric Dejouhanet      Hotfixes for the Focus module
6cf0a3a2b 2020-04-09 Jasem Mutlaq         INDI drivers sync
4f6af9adf 2020-04-08 Eric Dejouhanet      Tests for the star detection
fd28026cf 2020-04-05 Eric Dejouhanet      Refactoring the Focus module.
1dffaa5d7 2020-04-03 Jasem Mutlaq         Turn off meridian flip when operating polar alignment assistant tool
632bb22ae 2020-04-03 Jasem Mutlaq         Fix exposure time when no filters are used
8c410bd41 2020-04-02 Jasem Mutlaq         Fix typo
c400edea6 2020-03-30 Jasem Mutlaq         Fix program flow in case a full-frame star is selected
bf9845f2e 2020-03-30 Jasem Mutlaq         If non-guide is enabled, do not consider the state as autoguided
637b7c96c 2020-03-29 Jasem Mutlaq         More work to remove the deadlock on disconnecting from INDI server
394f1be73 2020-03-29 Jasem Mutlaq         Do not display options after error, let user open it up
92127a698 2020-03-29 Jasem Mutlaq         Add OK Button to error and warning dialogs
209b20763 2020-03-28 Jasem Mutlaq         Add size of fits buffer loaded
db0ae6227 2020-03-28 Jasem Mutlaq         Do not crash if current target is not set
e208ce382 2020-03-27 Denis Zaytsev        Modified svg with INDIHUB icon and logo
af134f296 2020-03-26 Jasem Mutlaq         removeProperty is called in the BaseClient thread and provides a pointer to INDI::Property object. Since INDI_D::removeProperty method needs to run ..
c24ff635f 2020-03-26 Jasem Mutlaq         Fix crash on new profile with indihub
829c37b9d 2020-03-25 Jasem Mutlaq         Restore the 180s capture timeout
0b818253b 2020-03-25 Jasem Mutlaq         Fix North and South Korea cities. Patch submitted by Shinjo Park
f8c3d1359 2020-03-25 Jasem Mutlaq         Change remoteProperty connection to the default queued connection.
cf25aa5ee 2020-03-25 Jasem Mutlaq         Fix share mode
ebeea6e4f 2020-03-25 Jasem Mutlaq         Disable driver restart until few issues with shutdown are fixed
01dc3f76b 2020-03-25 Jasem Mutlaq         Fix format issues
bd6e5ccb8 2020-03-25 Jasem Mutlaq         Add building and format code instructions
f8c978db7 2020-03-23 Jasem Mutlaq         Fix few warnings
1b8ebe7ed 2020-03-22 Jasem Mutlaq         Add a warning if the dust cap is missing instead of total abort
a33efa5de 2020-03-21 Jasem Mutlaq         Add initial support for restarting local and remote drivers in case of timeout
a2a961e00 2020-03-21 Eric Dejouhanet      Removed simulator startup clock test for Qt<5.8.
fea9b12c1 2020-03-20 Jasem Mutlaq         Check for INDI hub before terminating
3ded897d8 2020-03-20 Jasem Mutlaq         Add indihub local support. Requires testing
da42b0848 2020-03-20 Jasem Mutlaq         Fix typo
62f78d06e 2020-03-19 Laurent Montel       Add missing includes
9bc2faa5f 2020-03-19 Jasem Mutlaq         Save indihub in profile
575be8ef9 2020-03-19 Jasem Mutlaq         Correct Chile TZ rule
53b0ab05b 2020-03-18 Eric Dejouhanet      Attempt to fix Ubuntu 16.04 build, that is using Qt 5.5.
b92c3cb32 2020-03-18 Jasem Mutlaq         Initial work for indihub support
19bcaa049 2020-03-15 Eric Dejouhanet      Auxiliary tests (skeletons).
15ca86074 2020-03-15 Jasem Mutlaq         Add flip vector as a temporary measure until we figure out why it fails under some circumstances
b3b107c61 2020-03-09 Jasem Mutlaq         Do not calculate download times for repeats
dcf94c2a3 2020-03-09 Jasem Mutlaq         Fix warnings
8c53c246b 2020-03-07 Hy Murveit           Fix a bug in the debayer offset code.
40d0573bd 2020-03-06 Jasem Mutlaq         Re-enabled the Jupiter's Moons tool
acf0f6eee 2020-03-06 Hy Murveit           Update median calculation
1cc965a80 2020-03-04 Eric Dejouhanet      Fix warning treated as error on bionic.
deff540be 2020-03-02 Eric Dejouhanet      Fix OpenSUSE build error on incomplete type KStarsData.
ccac57a47 2020-03-02 Jasem Mutlaq         Go back to ksqueezelabel since regular QLabel have several issues
03f2dcc27 2020-03-01 Jasem Mutlaq         More hack to get the label size to be correct when using multiple elements
08c69ae84 2020-03-01 Eric Dejouhanet      Restructure tests, add simulator tests, spot expected failures.
3a6642ea8 2020-02-29 Jasem Mutlaq         Fix squeezed labels in height
0288cbd1d 2020-02-29 Jasem Mutlaq         Increase minimum bandwidth to 300MB
302689bc1 2020-02-29 Jasem Mutlaq         working on KStars v3.4.2
1db2c052a 2020-02-29 Jasem Mutlaq         Simplify where images are saved to
6ce69709a 2020-02-26 Jasem Mutlaq         Check for errors in WCS transformation
11f68d971 2020-02-26 Hy Murveit           Correct bug in median computation
0d418a390 2020-02-23 Jasem Mutlaq         Make sure all image files permissions end up 644

3.4.1 (FreeCloud):

5632a36a1 2020-02-23 Jasem Mutlaq         Do not calculate download time or send image when upload mode is LOCAL
1d72ab065 2020-02-23 Eric Dejouhanet      Adding test for Ekos start/stop.
e82c0c41b 2020-02-23 Jasem Mutlaq         Only load FITS Data when we need to use FITSViewer
1eac4ced7 2020-02-23 Jasem Mutlaq         Add small space between buttons to avoid accidental deletes
6e1c837c8 2020-02-21 Yuri Chornoivan      Fix minor EBN issues (http->https, no newline end)
4b4144e77 2020-02-21 Jasem Mutlaq         Fix crash on CCD reconnection for those with built-in filter wheels
d0fdd647f 2020-02-21 Jasem Mutlaq         INDI driver sync
2610a2ca0 2020-02-20 Yuri Chornoivan      Fix minor typos
2f836ac57 2020-02-20 Eric Dejouhanet      Fix qCompare between strings.
67488f7c1 2020-02-20 Jasem Mutlaq         Move guide reset button to calibration settings
de594e589 2020-02-18 Jasem Mutlaq         Fixed Equinox and Solstice dates in Calculator
06c537cae 2020-02-17 Jasem Mutlaq         Use QLabel so that text wrap if long
94efa36e0 2020-02-17 Jasem Mutlaq         Fix file mode 755 --> 644
b909202bd 2020-02-17 Jasem Mutlaq         Starting KStars 3.4.1 work
248ff0e6a 2020-02-17 Hy Murveit           Add logging to help debug some capture stalls
06a63ce69 2020-02-16 Eric Dejouhanet      Rework of UI tests, KStars window and Ekos profile.


3.4.0 (Horsehead):

60dabac08 2020-02-12 Yuri Chornoivan      Fix minor typo
e44a6bd2f 2020-02-12 Robert Lancaster     Summary: Fixing a bug found by a user in the Load and Slew command. Also setting the internal sextractor directory for initial OS X install. This al..
00f1ce483 2020-02-11 Jasem Mutlaq         Remove unnecessary qDebug()
64538ebc4 2020-02-11 Robert Lancaster     Supporting Sextractor instead of python
5b31c6aba 2020-02-11 Hy Murveit           Add logging to look into alignState in capture
03b944163 2020-02-11 Hy Murveit           Fixes issue where align wasn't called after meridian flip
aa6666670 2020-02-10 Jasem Mutlaq         Fix permission
b3a6b1434 2020-02-10 Hy Murveit           Remove the word experimental from the Linear Focus algorithm
55944129d 2020-02-10 Hy Murveit           Correct issue with filter-autofocus and meridian flip
5dda5bd20 2020-02-08 Jasem Mutlaq         Improve display of some fields by using f instead of g specifier
ccd88663c 2020-02-07 Jasem Mutlaq         Only report the ignored FITS warning if we are not guiding
67f6afb87 2020-02-07 Jasem Mutlaq         Fix FOV out of bounds limit
fcfe5d9ec 2020-02-07 Jasem Mutlaq         Fix tests
e5e74112c 2020-02-07 Jasem Mutlaq         Ekos::Manager is singleton now
1014a91d2 2020-02-06 Jasem Mutlaq         Fix typo
25cd69943 2020-02-05 Jasem Mutlaq         Add error message when calculated FOV is out of bounds
144a2396d 2020-02-03 Jasem Mutlaq         Disable the extensive logging in alignmnent as it is polluting the log
f6ab2c54b 2020-02-03 Jasem Mutlaq         Start connection to remote INDI server also when not using web manager
a7a8eab07 2020-02-03 Hy Murveit           Fix bug which may be causing the fits crashes.
1ce35ff4d 2020-02-02 Jasem Mutlaq         Introduce small settle time after killing indiserver
69219efbd 2020-02-02 Jasem Mutlaq         Disconnect the KMessageBox after use
1da4f6ac2 2020-01-31 Jasem Mutlaq         Make connecting to INDI server *mostly* asycn
77981bfd3 2020-01-31 Hy Murveit           Linear Focus 3.2, optimize solution
2165b84aa 2020-01-30 Jasem Mutlaq         Remove unused packaging files
ff2108732 2020-01-29 Nicolas Fella        Add link to google play in appstream data
6f237d161 2020-01-29 Jasem Mutlaq         Remove unnecessary patch
7c1264a3b 2020-01-27 Hy Murveit           Fix a crash, reinitialize rawImage for every image.
706324de6 2020-01-26 Jasem Mutlaq         INDI drivers sync
5348a5fc9 2020-01-25 Hy Murveit           Bugfix for fitsview, checking wrong width & height in initDisplayImage
88f52e1e9 2020-01-23 Jasem Mutlaq         Permit changing of target when capture is also complete
b6a42a1a3 2020-01-23 Jasem Mutlaq         Improve name sanitization further to remove duplicate __ and extra _ at the end
3d19f16ff 2020-01-23 Jasem Mutlaq         Sanitize target name and file prefix
081cd819e 2020-01-23 Hy Murveit           Linear Focus Algorithm 3.1, ignore timer-based focuser's return value.
e5cab7014 2020-01-22 Jasem Mutlaq         Remove extra BLOBUpdated
cf467f48d 2020-01-22 Jasem Mutlaq         Fix DSLR ImageToFITS loading when auto convert is used
c3a0862b1 2020-01-21 Jasem Mutlaq         More work for INDI property to JSON objects over websockets
b37319f6b 2020-01-21 Jasem Mutlaq         Improving EkosLive websocket performance
c0516050f 2020-01-20 Jasem Mutlaq         Comment out unused variable
1ab26869d 2020-01-20 Jasem Mutlaq         Do not save config for ACTIVE_XXX devices as this might cause regressions in other areas
643066850 2020-01-20 Hy Murveit           Re-allocate the rawImage buffer if the number of channels has changed.
6e9d7aa96 2020-01-20 Jasem Mutlaq         Do not start guiding if mount is parked
861851089 2020-01-15 Hy Murveit           Improvements to the linear focus algorithm--v3
dd53f3aee 2020-01-14 Wolfgang Reissenberger Align property labels in the INDI dialog vertically on top
814b54d78 2020-01-14 Hy Murveit           Update of the Linear Focus Algorithm--v2
2a0361caa 2020-01-14 Jasem Mutlaq         Use transient FOV container instead of anti-pattern access to the Ekos align object from other classes
5fb10f208 2020-01-14 Jasem Mutlaq         Log fits create error
abd77a722 2020-01-14 Jasem Mutlaq         Make sure temporary location is also writable
381cc57b7 2020-01-12 Laurent Montel       It alreadys added by kaboutdata
49ce49de2 2020-01-12 Jasem Mutlaq         Wait until wcsWatcher is finished before loading from memory
856e544c4 2020-01-11 Jasem Mutlaq         Do not abort slewing when in polar alignment mode
166d69d54 2020-01-10 Jasem Mutlaq         Fix manualfocusdrive based focus bug due to fix in commit de12d97ddefc
4ea088bbc 2020-01-10 Jasem Mutlaq         Reuse same primary buffer for debayering. Always flush before closing
c325b3881 2020-01-10 Jasem Mutlaq         Delete earth shadow on exit
ebf219d83 2020-01-09 Jasem Mutlaq         More improvements to memory handling
5e1d1e40f 2020-01-09 Jasem Mutlaq         Some memory fixes from Valgrind and Hy suggestions
d7bb14fb6 2020-01-08 Jasem Mutlaq         Set aux members of ACTIVE_FILTER to nullptr on initial property definition
6ae9866e3 2020-01-08 Jasem Mutlaq         Improve reliability of setting snoop property for the active profile
972224caf 2020-01-08 Jasem Mutlaq         Fix scheduler frame name check for fractional exposures
c035e1135 2020-01-07 Laurent Montel       Port to QString::asprintf
855e27514 2020-01-07 Laurent Montel       Port to QElapsedTimer
ac26e490b 2020-01-07 Laurent Montel       Don't use nullptr as flag. Use default value when possible
1a061ea74 2020-01-07 Laurent Montel       Port endl to \n as it's Qt:: namespaced in qt5.15. QFile flushs it when
f1f38c0bb 2020-01-07 Laurent Montel       Remove endl at the end of qDebug/qWarning.. it already adds endl
f34fd196a 2020-01-07 Jasem Mutlaq         Remove redundant faint magnitude swap, thanks to Vladimir Dvorak for spotting and reporting this. Fixing few warnings and introducing proper debug
974f62209 2020-01-05 Jasem Mutlaq         Load supernova data on demand to conserve memory
000ac53e7 2020-01-04 Jasem Mutlaq         Fix setting the default filter wheel in the various Ekos modules
de12d97dd 2020-01-04 Jasem Mutlaq         Fix timer and relative based focus bug as they were sent negative numbers by mistake
ca2703b3d 2020-01-04 Jasem Mutlaq         Indicate why a received FITS image is ignore so we can diagnose issues that otherwise would be ignored silently
754b4126c 2020-01-04 Jasem Mutlaq         Make scheduler logs less spammy
001ce18d8 2020-01-04 Hy Murveit           Refactor polynomial code in focus and other small changes
e60b54ec2 2020-01-04 Jasem Mutlaq         KStars v3.4.0 cycle begins
3674fcd0a 2020-01-03 Laurent Montel       Port to QElapsedTimer
51ad4e094 2020-01-03 Laurent Montel       Don't use 0 as flag
67612b1e9 2020-01-03 Laurent Montel       Port endl to '\n' as endl is namespaced in Qt5.15. When we delete QFile
c9fca7398 2020-01-03 Laurent Montel       Don't use deprecated QString::sprintf
c6b339a41 2020-01-03 Laurent Montel       Remove extra ';'
3e3a1fc68 2020-01-03 Laurent Montel       Remove endl at the end of qdebug as it already adds it
9ea44f783 2020-01-03 Jasem Mutlaq         Explicitly treat JNow and J2000 differently when setting the sky point RA and DE components

3.3.9 (Oscar):

881b7a882 2019-12-31 Jasem Mutlaq         Check for duplicate ccd binaries in primary, guide, and all aux drivers
6d712a640 2019-12-31 Jasem Mutlaq         Autofocus support in Ekos module for manualfocusdrive gphoto command for Nikon
bbc09aee9 2019-12-29 Jasem Mutlaq         Fix couple of warnings and formatting fixes
e89bff5d3 2019-12-29 Jasem Mutlaq         Minor warning fixes
162a4f5ba 2019-12-29 Wolfgang Reissenberger Minor corrections to capture, scheduler and mount
d67b2be77 2019-12-28 Shubham Jangra       Fix multiple warnings
2628f1853 2019-12-28 Yuri Chornoivan      [docs] Add markers for the configuration pages, add some info about sky cultures
f7279d781 2019-12-28 Hy Murveit           Modify focus graph to include sample number.
9f5012a8f 2019-12-28 Jasem Mutlaq         Add new western sky cultur
197cf7789 2019-12-25 Hy Murveit           Improve Linear Focus Algorithm by adding extra outward motion then moving back in.
e80a9158e 2019-12-22 Jasem Mutlaq         MD formatted now
ff2516e91 2019-12-22 Jasem Mutlaq         Update KStars README to ensure that users on Github do not submit PRs by mistake
318cc2b2b 2019-12-22 Chris Rowland        Add AutoFocus data to log
930cd61af 2019-12-22 Jasem Mutlaq         Tooltip and index fixes
ef6d65cfe 2019-12-22 Hy Murveit           Introduce the linear focuser
a8fcd66e5 2019-12-22 Jasem Mutlaq         Fix offline cloud storage settings
e1467aa63 2019-12-14 Robert Lancaster     Making the Columns in the Align view resize automatically
82656bfd7 2019-12-11 Jasem Mutlaq         Account for exposure less than 0.001 seconds in the file name
456c445d8 2019-12-10 Jasem Mutlaq         Add option to limit single step commands.
8200b9c74 2019-12-08 Yuri Chornoivan      Use URLs with transport encryption
7acd53d63 2019-12-08 Yuri Chornoivan      Fix minor EBN issues
08fd2a3b4 2019-12-08 Hy Murveit           New UI to allow the user to modify the stretch being used.
ed4882df7 2019-12-07 Jasem Mutlaq         Prevent log spamming
f34721935 2019-12-07 Jasem Mutlaq         Set raw prefix to target name if the former is empty while the latter is non empty
6053d5b54 2019-12-07 Jasem Mutlaq         Make sure target chip is completely valid
7e3a783ea 2019-12-07 Jasem Mutlaq         Return if base device is not yet initialized
838a7d2d9 2019-12-05 Jasem Mutlaq         Update versions to 3.3.9
d5929002d 2019-12-05 Jasem Mutlaq         Bump to v3.3.9
c7fdb7e41 2019-12-05 Jasem Mutlaq         Set index before changing type
19d26b9d2 2019-12-04 Jasem Mutlaq         Fix astrometry crash when remote astrometry is not fully yet initialized
a8e7678f0 2019-12-01 Jasem Mutlaq         Fix video streaming resize crash on Windows
bd2636ad5 2019-11-30 David Faure          Fix wrong syntax for include_directories, detected by -Wmissing-include-dirs
befd2806a 2019-11-29 Jasem Mutlaq         Retry connection in case we have a refused connection
92b276a6f 2019-11-27 Jasem Mutlaq         Disable excessive logging
8d4156003 2019-11-27 Wolfgang Reissenberger Reset guiding calibration if the mount moves and "Always Reset Guide Calibration" option is set.
e331a3abe 2019-11-27 Jasem Mutlaq         Improve tooltip for mount limits
4bc17bee6 2019-11-26 Jasem Mutlaq         If raw prefix is empty and target name is not, set it to the target name and update the job and GUI accordingly
4c7c05ccf 2019-11-26 Jasem Mutlaq         Use rawPrefix as property
f5615a8e8 2019-11-25 Yuri Chornoivan      Fix link: ui.html -> menus.html
a0cc1c499 2019-11-25 Jasem Mutlaq         Fix crash when there is no focused object in comet and asteroid components
e61e21eea 2019-11-25 Hy Murveit           Fix bug re filter-change-autofocus
5574d1d9a 2019-11-24 Jasem Mutlaq         Fix crash when focused object is either asteroid or comet and the data is loaded afterwards thereby invalidating focusObject in SkyMap. With this ch..
d9de15de6 2019-11-24 Jasem Mutlaq         Use qCDebug
bba1d7a01 2019-11-22 Jasem Mutlaq         Update default ASTAP windows location
df4ae7eec 2019-11-24 Wolfgang Reissenberger Abort plate solving when slewing is detected
100777109 2019-11-24 Tobias C. Berner     FreeBSD: lld does not support -Wl,-z,nodump
bf3549851 2019-11-24 Wolfgang Reissenberger Bugfix for re-connecting a weather device initializes the weather display
824bbbd6a 2019-11-23 Hy Murveit           Fix off-by-one bug in stretch.
85fe55f23 2019-11-20 Jasem Mutlaq         For windows, when index 1 is selected from the combo box it should be considered REMOTE
3eece768c 2019-11-20 Hy Murveit           Update the auto-stretch scheme and UI
82d4d4b08 2019-11-20 Jasem Mutlaq         Change ASTAP default location
d6a60f19d 2019-11-19 Jasem Mutlaq         Load PHD2 star image from memory instead of temporary file
a732557b1 2019-11-18 Jasem Mutlaq         Removing debug statements
b566a2ad4 2019-11-16 Pino Toscano         appdata: update homepage and help URLs

3.3.8 (Obaidy):

8da28c636 2019-11-16 Jasem Mutlaq         KStars v3.3.8 release
5653f65a9 2019-11-16 Jasem Mutlaq         Fix dome status for rolloff dome when sending status messages
b2c4c4fd8 2019-11-15 Jasem Mutlaq         INDI drivers sync
34ffb6db5 2019-11-15 Jasem Mutlaq         Disable the move to polar message action and just display it as a message instead to alert the user
511a8cd8a 2019-11-14 Jasem Mutlaq         Fix another crash in poly plotting. Check if array is empty
a8c59b592 2019-11-14 Robert Lancaster     Adding the polynomial and focus position to the focus graph as well as tooltips
46d4ea32f 2019-11-13 Jasem Mutlaq         Fix incorrect labels
d3645e7da 2019-11-13 Jasem Mutlaq         Use backend instead of type to avoid confusion
c7fa46d29 2019-11-12 Jasem Mutlaq         Add solver and astrometry solver types
205c9d4db 2019-11-12 Jasem Mutlaq         Add error dialog if astap is not found and open options dialog automatically after that
edadd4a66 2019-11-12 Jasem Mutlaq         Solve crashing in creating WCS file and use simpler WCS update
fb5d677a4 2019-11-10 Jasem Mutlaq         Add warning about missing ASTAP
a1089b1d5 2019-11-10 Jasem Mutlaq         Fix condition where previous values of solver type can cause crash in the 3.3.7 version
fa45d7b52 2019-11-08 Jasem Mutlaq         Adding Wolfgang and Hy to authors

3.3.7 (Carina):

f38d8378c 2019-11-07 Jasem Mutlaq         Sync INDI drivers
864905553 2019-11-06 Jasem Mutlaq         Fix few issues with rotation angle
883d26df3 2019-11-06 Jasem Mutlaq         Add tooltip tp explain the purpose of desired target PA
28c513adf 2019-11-05 Jasem Mutlaq         Update ASTAP config as per Hans recommendations
ae7219c65 2019-11-05 Robert Lancaster     Keeping track of download times for more reliable time estimates.
9a734d1e7 2019-11-04 Wolfgang Reissenberger Handle guiding problems during dithering
16171346e 2019-11-03 Hy Murveit           Directly specify arcsecond error in Align UI.
e1d19eb38 2019-11-02 Wolfgang Reissenberger Dithering while crossing the meridian recognized as guiding
b1f390ebf 2019-11-02 Wolfgang Reissenberger Ensure that guiding is running when capture is started
b30a9d850 2019-11-02 Robert Lancaster     Fixing ASTAP Path on OS X and Setting Autostar as default for PHD2 Guiding
02d191bae 2019-10-29 Jasem Mutlaq         Use status string for better logging
bf020d440 2019-10-29 Wolfgang Reissenberger Making display of x axis cofigurable
a6f633b49 2019-10-29 Jasem Mutlaq         square --> rectangle
15ef142d8 2019-10-29 Jasem Mutlaq         Implement a more reliable way to sync ACTIVE_DEVICES
565ed5fc6 2019-10-28 Jasem Mutlaq         Back to string confinement since classic confinement does not work with plugs
4ec7d0b68 2019-10-28 Jasem Mutlaq         Update snap to build from git
c72edccbc 2019-10-27 Hy Murveit           Write FITS file on separate thread
104c0ee03 2019-10-25 Jasem Mutlaq         Make documentation building as a CMake option and disable it for snaps
9c5cb4136 2019-10-25 Jasem Mutlaq         Test release build effectiveness
6248d6adc 2019-10-24 Jasem Mutlaq         Update OpenNGC to v20191019
1407f3fcb 2019-10-23 Jasem Mutlaq         Update snapcraft from Neon sources and move it to top level so we can build it with Launchpad
5f4b269cc 2019-10-23 Yuri Chornoivan      Fix minor EBN issues
a12df4a85 2019-10-22 Jasem Mutlaq         Use CROTA1 for rotation instead of CROTA2
ae3b27018 2019-10-22 Jasem Mutlaq         Merge branch 'astap_work'
8e48df369 2019-10-22 Jasem Mutlaq         Process astap solver solution
8f0e4319e 2019-10-22 Jasem Mutlaq         Timed out solutions should be marked as such
c0f8d5c4f 2019-10-21 Jasem Mutlaq         Fix TZ rules for a few countries.
